components:
  schemas:
    EventService_v1_3_8_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#EventService.SubmitTestEvent':
          $ref: '#/components/schemas/EventService_v1_3_8_SubmitTestEvent'
        Oem:
          $ref: '#/components/schemas/EventService_v1_3_8_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_8_EventService:
      additionalProperties: false
      description: The EventService schema contains properties for managing event
        subscriptions and generates the events sent to subscribers.  The resource
        has links to the actual collection of subscriptions, which are called event
        destinations.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/EventService_v1_3_8_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        DeliveryRetryAttempts:
          description: The number of times that the POST of an event is retried before
            the subscription terminates.  This retry occurs at the service level,
            which means that the HTTP POST to the event destination fails with an
            HTTP `4XX` or `5XX` status code or an HTTP timeout occurs this many times
            before the event destination subscription terminates.
          format: int64
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the number of times that
            the POST of an event is retried before the subscription terminates.  This
            retry occurs at the service level, which means that the HTTP POST to the
            event destination fails with an HTTP `4XX` or `5XX` status code or an
            HTTP timeout occurs this many times before the event destination subscription
            terminates.
        DeliveryRetryIntervalSeconds:
          description: The interval, in seconds, between retry attempts for sending
            any event.
          format: int64
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the interval, in seconds,
            between the retry attempts for any event sent to the subscription destination.
          x-units: s
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        EventFormatTypes:
          description: The content types of the message that this service can send
            to the event destination.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/EventDestination.yaml#/components/schemas/EventDestination_EventFormatType
            nullable: true
          readOnly: true
          type: array
          x-longDescription: This property shall contain the content types of the
            message that this service can send to the event destination.  If this
            property is not present, the EventFormatType shall be assumed to be `Event`.
          x-versionAdded: v1_2_0
        EventTypesForSubscription:
          deprecated: true
          description: The types of events to which a client can subscribe.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Event.yaml#/components/schemas/Event_EventType
          readOnly: true
          type: array
          x-deprecatedReason: This property has been deprecated.  Starting with Redfish
            Specification v1.6 (Event v1.3), subscriptions are based on the RegistryPrefix
            and ResourceType properties and not on the EventType property.
          x-longDescription: This property shall contain the types of events to which
            a client can subscribe.  The semantics associated with the enumeration
            values are defined in the Redfish Specification.
          x-versionDeprecated: v1_3_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RegistryPrefixes:
          description: The list of the prefixes of the message registries that can
            be used for the RegistryPrefixes or ExcludeRegistryPrefixes properties
            on a subscription.  If this property is absent or contains an empty array,
            the service does not support RegistryPrefix-based subscriptions.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain the array of the prefixes
            of the message registries that shall be allowed or excluded for an event
            subscription.
          x-versionAdded: v1_2_0
        ResourceTypes:
          description: The list of @odata.type values, or schema names, that can be
            specified in the ResourceTypes array in a subscription.  If this property
            is absent or contains an empty array, the service does not support resource
            type-based subscriptions.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall specify an array of the valid @odata.type
            values that can be used for an event subscription.
          x-versionAdded: v1_2_0
        SSEFilterPropertiesSupported:
          $ref: '#/components/schemas/EventService_v1_3_8_SSEFilterPropertiesSupported'
          description: The set of properties that are supported in the `$filter` query
            parameter for the ServerSentEventUri.
          x-longDescription: This property shall contain the properties that are supported
            in the `$filter` query parameter for the URI indicated by the ServerSentEventUri
            property, as described by the Redfish Specification.
          x-versionAdded: v1_2_0
        ServerSentEventUri:
          description: The link to a URI for receiving Server-Sent Event representations
            for the events that this service generates.
          format: uri-reference
          readOnly: true
          type: string
          x-longDescription: This property shall contain a URI that specifies an HTML5
            Server-Sent Event-conformant endpoint.
          x-versionAdded: v1_1_0
        ServiceEnabled:
          description: An indication of whether this service is enabled.  If `false`,
            events are no longer published, new SSE connections cannot be established,
            and existing SSE connections are terminated.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether this service is
            enabled.  If `false`, events are no longer published, new SSE connections
            cannot be established, and existing SSE connections are terminated.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        SubordinateResourcesSupported:
          description: An indication of whether the service supports the SubordinateResources
            property on both event subscriptions and generated events.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the service supports
            the SubordinateResources property on both event subscriptions and generated
            events.
          x-versionAdded: v1_2_0
        Subscriptions:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to a collection of event destinations.
          readOnly: true
          x-longDescription: This property shall contain the link to a resource collection
            of type EventDestinationCollection.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent an event service for a Redfish
        implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_8_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_8_SSEFilterPropertiesSupported:
      additionalProperties: false
      description: The set of properties that are supported in the `$filter` query
        parameter for the ServerSentEventUri.
      properties:
        EventFormatType:
          description: An indication of whether the service supports filtering by
            the EventFormatType property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the EventFormatType property.
          x-versionAdded: v1_2_0
        EventType:
          deprecated: true
          description: An indication of whether the service supports filtering by
            the EventTypes property.
          readOnly: true
          type: boolean
          x-deprecatedReason: This property has been deprecated.  Starting with Redfish
            Specification v1.6 (Event v1.3), subscriptions are based on the RegistryPrefix
            and ResourceType properties and not on the EventType property.
          x-longDescription: This property shall indicate whether this service supports
            filtering by the EventTypes property.
          x-versionAdded: v1_2_0
          x-versionDeprecated: v1_3_0
        MessageId:
          description: An indication of whether the service supports filtering by
            the MessageIds property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the MessageIds property.
          x-versionAdded: v1_2_0
        MetricReportDefinition:
          description: An indication of whether the service supports filtering by
            the MetricReportDefinitions property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the MetricReportDefinitions property.
          x-versionAdded: v1_2_0
        OriginResource:
          description: An indication of whether the service supports filtering by
            the OriginResources property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the OriginResources property.
          x-versionAdded: v1_2_0
        RegistryPrefix:
          description: An indication of whether the service supports filtering by
            the RegistryPrefixes property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the RegistryPrefixes property.
          x-versionAdded: v1_2_0
        ResourceType:
          description: An indication of whether the service supports filtering by
            the ResourceTypes property.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this service supports
            filtering by the ResourceTypes property.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: The type shall contain a set of properties that are supported
        in the `$filter` query parameter for the URI indicated by the ServerSentEventUri
        property, as described by the Redfish Specification.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_8_SubmitTestEvent:
      additionalProperties: false
      description: This action generates a test event.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall add a test event to the event service with
        the event data specified in the action parameters.  Then, this message should
        be sent to any appropriate event destinations.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventService_v1_3_8_SubmitTestEventRequestBody:
      additionalProperties: false
      description: This action generates a test event.
      properties:
        EventGroupId:
          description: The group identifier for the event.
          format: int64
          type: integer
          x-longDescription: The parameter shall contain the group identifier for
            the event.  It has the same semantics as the EventGroupId property in
            the Event schema for Redfish.  If not provided by the client, the resulting
            event should not contain the EventGroupId property.
          x-versionAdded: v1_3_0
        EventId:
          description: The ID for the event to add.
          type: string
          x-longDescription: This parameter shall have the same semantics as the EventId
            property in the Event schema for Redfish.  A service can ignore this value
            and replace it with its own.  If not provided by the client, the resulting
            event may contain a service-defined EventId property.
        EventTimestamp:
          description: The date and time for the event to add.
          format: date-time
          type: string
          x-longDescription: This parameter shall contain the date and time for the
            event to add and have the same semantics as the EventTimestamp property
            in the Event schema for Redfish.  If not provided by the client, the resulting
            event should not contain the EventTimestamp property.
        EventType:
          $ref: http://redfish.dmtf.org/schemas/v1/Event.yaml#/components/schemas/Event_EventType
          deprecated: true
          description: The type for the event to add.
          x-deprecatedReason: This parameter has been deprecated.  Starting with Redfish
            Specification v1.6 (Event v1.3), subscriptions are based on the RegistryPrefix
            and ResourceType properties and not on the EventType property.
          x-longDescription: This parameter shall contain the property name for which
            the following allowable values apply.  If not provided by the client,
            the resulting event should not contain the EventType property.
          x-versionDeprecated: v1_3_0
        Message:
          description: The human-readable message for the event to add.
          type: string
          x-longDescription: This parameter shall have the same semantics as the Message
            property in the Event schema for Redfish.  If not provided by the client,
            the resulting event should not contain the Message property.
        MessageArgs:
          description: An array of message arguments for the event to add.
          items:
            type: string
          type: array
          x-longDescription: This parameter shall have the same semantics as the MessageArgs
            property in the Event schema for Redfish.  If not provided by the client,
            the resulting event should not contain the MessageArgs property.
        MessageId:
          description: The MessageId for the event to add.
          pattern: ^\w+\.\d+\.\d+\.\w+$
          type: string
          x-longDescription: This parameter shall contain the MessageId for the event
            to add and have the same semantics as the MessageId property in the Event
            schema for Redfish.  Services should accept arbitrary values for this
            parameter that match that match the defined pattern.
        OriginOfCondition:
          description: The URL in the OriginOfCondition property of the event to add.  It
            is not a reference object.
          format: uri-reference
          type: string
          x-longDescription: This parameter shall be a string that represents the
            URL contained by the OriginOfCondition property in the Event schema for
            Redfish.  If not provided by the client, the resulting event should not
            contain the OriginOfCondition property.
        Severity:
          description: The severity for the event to add.
          type: string
          x-longDescription: This parameter shall contain the severity for the event
            to add and have the same semantics as the Severity property in the Event
            schema for Redfish.  If not provided by the client, the resulting event
            should not contain the Severity property.
      required:
      - MessageId
      type: object
      x-longDescription: This action shall add a test event to the event service with
        the event data specified in the action parameters.  Then, this message should
        be sent to any appropriate event destinations.
title: '#EventService.v1_3_8.EventService'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2019.1'
